Opened 15 years ago

Closed 15 years ago

#463 closed defect (invalid)

Incompatible conditional operand types String and int

Reported by: base Owned by: Johan Enell
Priority: trivial Milestone: BASE 2.1.2
Component: web Version: 2.1.1
Keywords: Cc:

Description

Hello, I'm get the following error while trying to add annotation types to an experiment through the web interface. (see attached screenshot)

org.apache.jasper.JasperException?: Unable to compile class for JSP

An error occurred at line: 482 in the jsp file: /admin/annotationtypes/list_annotationtypes.jsp Generated servlet error: Incompatible conditional operand types String and int

org.apache.jasper.compiler.DefaultErrorHandler?.javacError(DefaultErrorHandler?.java:84) org.apache.jasper.compiler.ErrorDispatcher?.javacError(ErrorDispatcher?.java:328) org.apache.jasper.compiler.JDTCompiler.generateClass(JDTCompiler.java:409) org.apache.jasper.compiler.Compiler.compile(Compiler.java:288) org.apache.jasper.compiler.Compiler.compile(Compiler.java:267) org.apache.jasper.compiler.Compiler.compile(Compiler.java:255) org.apache.jasper.JspCompilationContext?.compile(JspCompilationContext?.java:563) org.apache.jasper.servlet.JspServletWrapper?.service(JspServletWrapper?.java:293) org.apache.jasper.servlet.JspServlet?.serviceJspFile(JspServlet?.java:314) org.apache.jasper.servlet.JspServlet?.service(JspServlet?.java:264) javax.servlet.http.HttpServlet?.service(HttpServlet?.java:802) net.sf.basedb.clients.web.servlet.CharacterEncodingFilter?.doFilter(CharacterEncodingFilter?.java:71)

Attachments (1)

shot.jpg (150.1 KB) - added by base 15 years ago.
Screenshot of the bug

Download all attachments as: .zip

Change History (4)

Changed 15 years ago by base

Attachment: shot.jpg added

Screenshot of the bug

comment:1 Changed 15 years ago by Nicklas Nordborg

Priority: majortrivial

I think this is a bug in the compiler Tomcat uses. See the following bug report for Tomcat: http://servlets.com/archive/servlet/ReadMsg?msgId=546905&listName=tomcat-dev

The bug report is about Tomcat 5.5.11, the screen shot clearly shows that Tomcat 5.5.12 is used. Tomcat 5.5.16 includes a newer version of the compiler. I think the problem has been solved since I am not able to reproduce the error. Please test with upgrading Tomcat.

comment:2 Changed 15 years ago by base

Right as you said!!! the problem was coming from tomcat. I have upgraded to the last available version (currently 5.5.20) and this fixed the problem.

Thanks for your support,

david

comment:3 Changed 15 years ago by Nicklas Nordborg

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.